IM_INSERTPLACE(3)

NAME
im_insertplace - paste small images into big images

SYNOPSIS
#include <vips/vips.h> im_insertplace( big, small, x, y )
IMAGE *big, *small;
int x, y;

DESCRIPTION
Paste image small into image big, with small's left-left-hand corner at (x,y) in image big. Image big must be large enough to hold all of small! No clipping. Images may have any type, but must both have the same type. This is an in-place operation. Big is damaged! Careful.

RETURN VALUE
All functions return 0 on success and -1 on error.

SEE ALSO
im_fastline(3), im_smudge(3).

COPYRIGHT
National Gallery, 1992

AUTHOR
J. Cupitt